import { AfterContentInit, ElementRef, EventEmitter, QueryList, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectModel } from './select.model';
import { SelectOptionComponent } from '../select-option/select-option.component';
export declare class SelectComponent implements ControlValueAccessor, AfterContentInit {
    private renderer;
    static readonly defaultProps: SelectModel;
    backdropRef: ElementRef;
    labelContainerRef: ElementRef;
    options: QueryList<SelectOptionComponent>;
    onChangeEmitter: EventEmitter<string>;
    className: string;
    disabled: boolean;
    floatLabel: string;
    id: string | null;
    isNativeControl: boolean;
    name: string;
    required: boolean;
    value: string;
    prefix: string;
    isFocused: boolean;
    isOpen: boolean;
    valueLabel: string;
    constructor(renderer: Renderer2);
    ngAfterContentInit(): void;
    registerOptions(): void;
    updateControl(value: string): void;
    onChangeOption(value: string): void;
    activeSelectedOption(value: string): void;
    cloneOption(selectedOption: SelectOptionComponent): void;
    onChangeNativeOption(event: any): void;
    onBlur(): void;
    onFocus(): void;
    onClick(): void;
    addBackdropListener(): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onChange(value: string): void;
    onTouched(): void;
}
